/* -------------
	BUTTONS
----------------*/

.ti-button {
    position: relative;
    display: inline-block;
    box-sizing: border-box;
    border-radius: 0;
    padding: 0 16px;
    height: 30px;
    /*    width: 180px;*/
    vertical-align: middle;
    text-align: center;
    text-overflow: ellipsis;
    font-weight: 500;
    line-height: 20px;
    overflow: hidden;
    outline: none;
    cursor: pointer;
    transition: transform 1s;
    /*    font-size: 14px;*/
}

.ti-button::before {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    opacity: 0;
    transition: opacity 0.2s;
}

/* Ripple */
.ti-button::after {
    content: "";
    position: absolute;
    left: 50%;
    top: 50%;
    border-radius: 50%;
    padding: 50%;
    width: 30px; /* Safari */
    height: 30px; /* Safari */
    /*    background-color: white;*/
    opacity: 0;
    transform: translate(-50%, -50%) scale(1);
    transition: opacity 1s, transform 0.5s;
}

.ti-button:hover {
    /*    box-shadow: 0 1px 1px -1px rgb(0 0 0 / 20%), 0 2px 4px 0 rgb(0 0 0 / 14%), 0 1px 5px 0 rgb(0 0 0 / 12%);*/
    box-shadow: 1px 1px 5px 1px rgb(0 0 0 / 19%);
}

.ti-button:active {
    box-shadow: inset 0 1px 5px rgb(0 0 0 / 20%);
}

.ti-button:active::after {
    opacity: 0.32;
    transform: translate(-50%, -50%) scale(0);
    transition: transform 0s;
}

.ti-button:disabled, .ti-button:disabled:hover, .ti-button:disabled:active {
    background-color: #00000010;
    cursor: initial;
    color: gray;
    border: none;
}

.ti-button:disabled::after {
    background-color: transparent;
}

/* -----------------------------*/

.ti-button-normal {
    border: none;
    color: white;
    background-color: #0c53b0;
}

.ti-button-normal::before {
    background-color: white;
}

.ti-button-normal::after {
    background-color: white;
}

.ti-button-normal:active {
    background-color: #0c4b9d;
}

.ti-button-normal:hover::before {
    opacity: 0.08;
}

/* -----------------------------*/

.ti-button-normal-outline {
    border: 1px solid #32537fd6;
    color: #0c356c;
    background-color: #ffffff;
}

.ti-button-normal-outline::before {
    background-color: #32537f;
}

.ti-button-normal-outline::after {
    background-color: #32537f;
}

.ti-button-normal-outline:active {
    background-color: #fafafa;
}

/* -----------------------------*/

.ti-button-action-outline {
    border: 1px solid #b60f0f;
    color: #b60f0f;
    background-color: #ffffff;
}

.ti-button-action-outline::before {
    background-color: #b60f0f;
}

.ti-button-action-outline::after {
    background-color: #b60f0f;
}

.ti-button-action-outline:active {
    background-color: #fafafa;
}

/* -------------
	POPUP
----------------*/

.popup-root {
    position: absolute;
    inset: 0;
}

.popup-content {
    position: absolute;
    border: 1px solid #e3e3e3;
    box-shadow: rgb(0 0 0 / 20%) 0px 5px 5px -3px, rgb(0 0 0 / 14%) 0px 8px 10px 1px, rgb(0 0 0 / 12%) 0px 3px 14px 2px;
    font-size: 0.8rem;
    background-color: white;
}

/* -----------------------------------------------------
	FIRST AND LAST COLUMNS OF JDV-TABLE
--------------------------------------------------------*/

.cell-id {
    width: 30px;
    text-align: center;
    min-width: 30px;
}

.cell-control {
    width: 100px;
    text-align: center;
    min-width: 100px;
    padding: 0;
}

/* -----------------------------------------------------
	FOR JdSpinner
--------------------------------------------------------*/

.sk-circle-block {
    margin: 100px auto;
    width: 40px;
    height: 40px;
}

.sk-circle-inline {
    margin: 0;
    width: 16px;
    height: 16px;
    display: inline-block;
    vertical-align: text-bottom;
}

/*
@-webkit-keyframes load6 {
    0% {
        box-shadow: 0 -0.83em 0 -0.4em, 0 -0.83em 0 -0.42em, 0 -0.83em 0 -0.44em, 0 -0.83em 0 -0.46em, 0 -0.83em 0 -0.477em;
    }
    5%,
    95% {
        box-shadow: 0 -0.83em 0 -0.4em, 0 -0.83em 0 -0.42em, 0 -0.83em 0 -0.44em, 0 -0.83em 0 -0.46em, 0 -0.83em 0 -0.477em;
    }
    10%,
    59% {
        box-shadow: 0 -0.83em 0 -0.4em, -0.087em -0.825em 0 -0.42em, -0.173em -0.812em 0 -0.44em, -0.256em -0.789em 0 -0.46em, -0.297em -0.775em 0 -0.477em;
    }
    20% {
        box-shadow: 0 -0.83em 0 -0.4em, -0.338em -0.758em 0 -0.42em, -0.555em -0.617em 0 -0.44em, -0.671em -0.488em 0 -0.46em, -0.749em -0.34em 0 -0.477em;
    }
    38% {
        box-shadow: 0 -0.83em 0 -0.4em, -0.377em -0.74em 0 -0.42em, -0.645em -0.522em 0 -0.44em, -0.775em -0.297em 0 -0.46em, -0.82em -0.09em 0 -0.477em;
    }
    100% {
        box-shadow: 0 -0.83em 0 -0.4em, 0 -0.83em 0 -0.42em, 0 -0.83em 0 -0.44em, 0 -0.83em 0 -0.46em, 0 -0.83em 0 -0.477em;
    }
}
@keyframes load6 {
    0% {
        box-shadow: 0 -0.83em 0 -0.4em, 0 -0.83em 0 -0.42em, 0 -0.83em 0 -0.44em, 0 -0.83em 0 -0.46em, 0 -0.83em 0 -0.477em;
    }
    5%,
    95% {
        box-shadow: 0 -0.83em 0 -0.4em, 0 -0.83em 0 -0.42em, 0 -0.83em 0 -0.44em, 0 -0.83em 0 -0.46em, 0 -0.83em 0 -0.477em;
    }
    10%,
    59% {
        box-shadow: 0 -0.83em 0 -0.4em, -0.087em -0.825em 0 -0.42em, -0.173em -0.812em 0 -0.44em, -0.256em -0.789em 0 -0.46em, -0.297em -0.775em 0 -0.477em;
    }
    20% {
        box-shadow: 0 -0.83em 0 -0.4em, -0.338em -0.758em 0 -0.42em, -0.555em -0.617em 0 -0.44em, -0.671em -0.488em 0 -0.46em, -0.749em -0.34em 0 -0.477em;
    }
    38% {
        box-shadow: 0 -0.83em 0 -0.4em, -0.377em -0.74em 0 -0.42em, -0.645em -0.522em 0 -0.44em, -0.775em -0.297em 0 -0.46em, -0.82em -0.09em 0 -0.477em;
    }
    100% {
        box-shadow: 0 -0.83em 0 -0.4em, 0 -0.83em 0 -0.42em, 0 -0.83em 0 -0.44em, 0 -0.83em 0 -0.46em, 0 -0.83em 0 -0.477em;
    }
}
@-webkit-keyframes round {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}
@keyframes round {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}
*/
